import { Base } from "../../static/util/base.js";

class home extends Base {

  constructor() {
    super();
  }



  //获取最近的地块list
  location(data, callBack) {
    const params = {
      url: '/admin/employee/location',
      type: 'GET',
      data:data,
      sCallBack: function (res) {
        callBack && callBack(res)
      }
    }
    this.request(params);
  }
  
	//上传图片
	ChooseImage(filePath, callBack) {
		const params = {
			url: '/admin/employee/geturl',
			type: 'POST',
			name: 'photo',
			filePath: filePath,
			sCallBack: function (res) {
				callBack && callBack(res)
			}
		}
		this.uploadFile(params);
	}
  
	getLandImg(data, callBack) {
	  const params = {
			url: '/admin/employee/getLandImg',
			type:'POST',
			data:data,
			sCallBack: function (res) {
				callBack && callBack(res)
			}
	  }
	  this.request(params);
	}
  
}

const _home = new home();
export { _home };